{% extends 'm_productos/base-admin.html' %}
{% load static %}
{% block contenido %}
<main style="align-items: center; margin-left:5%; margin-right:5%">
    <h1 style="text-align: center; color:white">
        Productos
    </h1>
        {% if mensaje %}
        <div class="alert alert-primary" role="alert">
            <strong>{{mensaje}}</strong>
        </div>
        <p><a href="{% url 'admproductos' %}">volver a lista de productos</a></p>
        {% endif %}
    <table class="table table-dark table-responsive table-hover" style="opacity: 0.9;">
        <div class="row">
            <div class="col-sm-2"></div>
            <div class="col-sm-8"> 

                <tr>
                    <th>
                        <a role="button" href="{% url 'crearproductos' %}" type="button" class="btn btn-info">Nuevo Producto</a>
                    </th>
                </tr>
                <tr>
                    <th>ID producto</th>
                    <th>Categoria</th>
                    <th>Nombre</th>
                    <th>Precio</th>
                    <th>Estado</th>
                    <th>Acciones</th>
                </tr>
                {% for p in lista %}
                <tr>
                    <th>{{p.id}}</th>
                    <th>{{p.id_categoria}}</th>
                    <th>{{p.nombre}}</th>
                    <th>${{p.precio}}</th>
                    <th>{{p.estado}}</th>
                    <th>
                        <a href="{% url 'modificarproductos' p.id %}" type="button" class="btn btn-success">Modificar</a>
                        <a href="{% url 'eliminarProducto' p.id %}" type="button" class="btn btn-danger">Eliminar</a>
                        <a href="{% url 'estadoprod' p.id %}" type="button" class="btn btn-primary">cambiar estado</a>

                    </th>
                </tr>

            </div>
            <div class="col-sm-2"></div>

            {% endfor %}

        </div>


    </table>
</main>
    
{% endblock contenido %}